apiVersion: batch/v1
kind: Job
metadata:
  name: cak-setup-management-api-db
spec:
  template:
    spec:
      restartPolicy: OnFailure
      containers:
        - name: management-api-db
          image: postgres:alpine
          command: ["/bin/sh"]
          args:
            - "-exc"
            - |
              psql --echo-errors <<EOF
                SELECT 'CREATE DATABASE "nlx_management_cak"' WHERE NOT EXISTS (SELECT FROM pg_database WHERE datname = 'nlx_management_cak')\gexec
              EOF
          env:
            - name: PGSSLMODE
              value: require
            - name: PGDATABASE
              value: postgres
            - name: PGHOST
              value: nlx-postgresql
            - name: PGUSER
              valueFrom:
                secretKeyRef:
                  name: postgres.nlx-postgresql.credentials.postgresql.acid.zalan.do
                  key: username
            - name: PGPASSWORD
              valueFrom:
                secretKeyRef:
                  name: postgres.nlx-postgresql.credentials.postgresql.acid.zalan.do
                  key: password
            - name: PGCONNECT_TIMEOUT
              value: "10"
